Subject: [bitcoin-core-dev] Preparation for Zürich coding event

From: jtimon () jtimon ! cc (Jorge Timón)
Date: Mon, 16 May 2016 11:52:23 +0000

I would also like to talk about post-0.13 consensus encapsulation.

Maybe also about relay/mining policy (first I guess we need to define it,
since for some people it means "everything that is not consensus"), and the
possibility of more generically support several policies simultaneously
(including completely custom policies that advanced users/devs can maintain
independently).

But yeah, I don't want to push any of this until segwit is merged (just
talk about it, see if I can be understood this time).
On May 16, 2016 13:40, "Wladimir J. van der Laan via bitcoin-core-dev" <
bitcoin-core-dev at lists.linuxfoundation.org> wrote:

> Yes I do think it makes sense to put segwit review at the top of the list.
> It's the most complicated change so it makes a lot of sense to look at
> that in person
> so things can be explained where necessary.
>
> I also think we should review Cory's P2P changes, as that project has been
> around for a while it would make sense to see what we can get in before
> 0.13's feature freeze next month.
>
> Working on a better notification system is also good, but that's a
> reasonably
> recent idea so post-0.13 I'd say.
>
> Wladimir
>
> On Fri, May 13, 2016 at 11:03:15AM -0400, Suhas Daftuar via
> bitcoin-core-dev wrote:
> > Thanks for starting this thread; I agree that it'd be helpful to have
> some
> > ideas for what we might work on.
> >
> > I suggest that we plan to set aside time for segwit review, at least for
> > those attendees who are planning to review segwit before it's merged.
> >
> > --Suhas
> >
> > On Thu, May 12, 2016 at 4:13 PM, Johnathan Corgan via bitcoin-core-dev <
> > bitcoin-core-dev at lists.linuxfoundation.org> wrote:
> >
> > > As face time is extremely valuable, I suggest we take the opportunity
> > > ahead of time to hash out some suggestions for development activities
> while
> > > there.  I don't mean this to be a TODO list; it just might be useful to
> > > gather our thoughts as a group so we can hit the ground running.
> > >
> > > Personally, as I am only recently getting back into the bitcoin dev
> > > community, I'm going to be struggling a bit to keep up with all the
> > > heavyweight work.
> > >
> > > However, in the IRC dev meeting we just had, the topic of
> notifications,
> > > ZMQ vs. RPC, RPC long polling, websockets, etc. was vigorously debated.
> > > I'd like to volunteer to lead this discussion and see if we can do any
> > > proof-of-concept or prototyping that can help guide decision making for
> > > this set of features.
> > >
> > > I do understand that a lot of what happens will just be advancing work
> > > already in progress though face-to-face interactions, but I'm hoping
> we can
> > > at least have a set of ideas ahead of time that might be useful to
> motivate
> > > people.
> > >
> > > Thoughts?
> > >
> > > -Johnathan
> > >
> > > _______________________________________________
> > > bitcoin-core-dev mailing list
> > > bitcoin-core-dev at lists.linuxfoundation.org
> > > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-core-dev
> > >
> > >
>
> > _______________________________________________
> > bitcoin-core-dev mailing list
> > bitcoin-core-dev at lists.linuxfoundation.org
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-core-dev
>
> _______________________________________________
> bitcoin-core-dev mailing list
> bitcoin-core-dev at lists.linuxfoundation.org
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-core-dev
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.linuxfoundation.org/pipermail/bitcoin-core-dev/attachments/20160516/af8f3e26/attachment.html>